petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexRewriteSF

Rewrites the ownership of the SF of a DM (in place).

### Synopsis

    #include "petscdmplex.h"
    static PetscErrorCode DMPlexRewriteSF(DM dm, PetscInt n, PetscInt *pointsToRewrite, PetscInt *targetOwners, const PetscInt *degrees)

### Input parameters

+ dm - The DMPlex object. + n - The number of points. + pointsToRewrite - The points in the SF whose ownership will change. + targetOwners - New owner for each element in pointsToRewrite. + degrees - Degrees of the points in the SF as obtained by PetscSFComputeDegreeBegin/PetscSFComputeDegreeEnd.

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages